<?php if (isset($saved)) : ?>
<div id="message" class="updated fade">
	<p><?php _e('Availability saved'); ?>.</p>
</div>
<?php endif; ?>
<div class="wrap">
	<?php screen_icon(); ?>
	<h2><?=$this->name?> <?php _e('Calendar'); ?></h2>
	<form method="get" action="" id="availability-year">
		<input type="hidden" name="page" value="<?php echo $this->tag; ?>" />
		<div class="tablenav">
			<div class="alignleft actions">
				<select name="y">
					<option value="">Select Year</option>
					<?php for ($year = $this->start; $year <= $this->end; $year++) : ?>
					<option<?=($year == $this->year ? ' selected="selected"' : null)?>><?php echo $year; ?></option>
					<?php endfor; ?>
				</select>
				<input type="submit" class="button" value="Apply" name="action"/>
			</div>
		</div>
	</form>
	<form id="calendar" action="<?=$_SERVER['REQUEST_URI']?>" method="post">
		<table class="widefat availability" cellspacing="0">
			<thead>
				<tr>
					<th class="year"><?=$this->year?></th>
					<?php for ($day = 1; $day <= 31; $day++) : ?>
					<th><?=zeroise($day, 2)?></th>
					<?php endfor; ?>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="year"><?=$this->year?></th>
					<?php for ($day = 1; $day <= 31; $day++) : ?>
					<th><?=zeroise($day, 2)?></th>
					<?php endfor; ?>
				</tr>
			</tfoot>
			<tbody>
			<?php for ($month = 1; $month <= 12; $month++) : ?>
				<?php $total = cal_days_in_month(CAL_GREGORIAN, $month, $this->year); ?>
				<tr<?=($month % 2 == 0 ? ' class="alternate"' : '')?>>
					<th><?php _e(date("F", mktime(0, 0, 0, $month, 1, $this->year))); ?></th>
					<?php for ($grid = 1; $grid <= 31; $grid++) : ?>
					<?php $checked = (isset($booked[$month]) && array_key_exists($grid, $booked[$month]) ? true : false); ?>
					<td<?=($checked == true ? ' class="booked"' : '')?>>
						<?php if ($grid <= $total) : ?>
						<?php $label = date("l jS F Y", mktime(0, 0, 0, $month, $grid, $this->year)); ?>
						<input type="checkbox" name="<?php echo $this->tag; ?>_booked[<?=$month?>][<?=$grid?>]" <?=($checked == true ? ' checked="checked"' : '')?> value="true" title="<?=$label?>" alt="<?=$label?>" />
						<?php endif; ?>
					</td>
					<?php endfor; ?>
				</tr>
			<?php endfor; ?>
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="submit" class="button-primary" value="<?php _e('Save Changes'); ?>" />
		</p>
	</form>
</div>

<style type="text/css">
#availability-year select {
	width: 120px;
}
table.widefat.availability thead th,
table.widefat.availability tfoot th {
	padding: 7px 3px 8px;
	text-align: center;
}
table.widefat.availability th.year {
	text-align: left;
	padding: 7px 7px 8px;
}
table.widefat.availability td {
	vertical-align: middle;
	padding: 0;
	text-align: center;
}
table.widefat.availability td.booked {
 	background-color: #FFFEEB; /* #FFFBCC */
}
</style>
